import Component from '@ember/component'
import { tryInvoke } from '@ember/utils'
import layout from '../../templates/components/en-dropdown/trigger'

export default Component.extend({
  layout,
  classNames: ['dropdown-trigger'],

  click(e) {
    tryInvoke(this, 'on-click')

    e.stopPropagation()
    e.preventDefault()
  },
})
